## ros-kinetic-map-server 1.14.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(map_server)

find_package(catkin REQUIRED
        COMPONENTS
            roscpp
            nav_msgs
            tf2
        )

find_package(Bullet REQUIRED)
find_package(SDL REQUIRED)
find_package(SDL_image REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(YAMLCPP yaml-cpp REQUIRED)
if(YAMLCPP_VERSION VERSION_GREATER "0.5.0")
    add_definitions(-DHAVE_YAMLCPP_GT_0_5_0)
endif()

catkin_package(
    INCLUDE_DIRS
        include
    LIBRARIES
        map_server_image_loader
    CATKIN_DEPENDS
        roscpp
        nav_msgs
        tf2
)

include_directories(
    include
    ${BULLET_INCLUDE_DIRS}
    ${catkin_INCLUDE_DIRS}
    ${SDL_INCLUDE_DIR}
    ${SDL_IMAGE_INCLUDE_DIRS}
    ${YAMLCPP_INCLUDE_DIRS}
)

add_library(map_server_image_loader src/image_loader.cpp)
add_dependencies(map_server_image_loader ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(map_server_image_loader
    ${BULLET_LIBRARIES}
    ${catkin_LIBRARIES}
    ${SDL_LIBRARY}
    ${SDL_IMAGE_LIBRARIES}
)

add_executable(map_server src/main.cpp)
add_dependencies(map_server ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(map_server
    map_server_image_loader
    ${YAMLCPP_LIBRARIES}
    ${catkin_LIBRARIES}
)

add_executable(map_server-map_saver src/map_saver.cpp)
add_dependencies(map_server-map_saver ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
set_target_properties(map_server-map_saver PROPERTIES OUTPUT_NAME map_saver)
target_link_libraries(map_server-map_saver
    ${catkin_LIBRARIES}
)

# copy test data to same place as tests are run
function(copy_test_data)
    cmake_parse_arguments(PROJECT "" "" "FILES" ${ARGN})
    foreach(datafile ${PROJECT_FILES})
        file(COPY ${datafile} DESTINATION ${PROJECT_BINARY_DIR}/test)
    endforeach()
endfunction()

## Tests
if(CATKIN_ENABLE_TESTING)
  copy_test_data( FILES
      test/testmap.bmp
      test/testmap.png )
  catkin_add_gtest(${PROJECT_NAME}_utest test/utest.cpp test/test_constants.cpp)
  target_link_libraries(${PROJECT_NAME}_utest
    map_server_image_loader
    ${SDL_LIBRARY}
    ${SDL_IMAGE_LIBRARIES}
  )

  add_executable(rtest test/rtest.cpp test/test_constants.cpp)
  add_dependencies(rtest ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
  add_dependencies(tests rtest)
  target_link_libraries( rtest
      gtest
      ${catkin_LIBRARIES}
  )

  # This has to be done after we've already built targets, or catkin variables get borked
  find_package(rostest REQUIRED)
  add_rostest(test/rtest.xml)
endif()

## Install executables and/or libraries
install(TARGETS map_server-map_saver map_server map_server_image_loader
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

## Install project namespaced headers
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE)

## Install excutable python script
install(
    PROGRAMS
      scripts/crop_map
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-kinetic-map-server (1.14.9-1xenial) xenial; urgency=high

  * (map_server) add rtest dependency to tests (#1062 <https://github.com/ros-planning/navigation/issues/1062>)
  * Contributors: Matthijs van der Burgh

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 05 Jan 2021 05:00:00 -0000

ros-kinetic-map-server (1.14.8-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 04:00:00 -0000

ros-kinetic-map-server (1.14.7-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Mar 2020 04:00:00 -0000

ros-kinetic-map-server (1.14.6-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-kinetic-map-server (1.14.5-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 05:00:00 -0000

ros-kinetic-map-server (1.14.4-1xenial) xenial; urgency=high

  * Allow specification of free/occupied thresholds for map_saver (#708 <https://github.com/ros-planning/navigation/issues/708>)
    * add occupied threshold command line parameter to map_saver (--occ)
    * add free threshold command line parameter to map_saver (--free)
  * Map server wait for a valid time, fix #573 <https://github.com/ros-planning/navigation/issues/573> (#700 <https://github.com/ros-planning/navigation/issues/700>)
    When launching the map_server with Gazebo, the current time is picked
    before the simulation is started and then has a value of 0.
    Later when querying the stamp of the map, a value of has a special
    signification on tf transform for example.
  * Contributors: Romain Reignier, ipa-fez

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 19 Jun 2018 04:00:00 -0000

ros-kinetic-map-server (1.14.3-1xenial) xenial; urgency=high

  * Merge pull request #672 <https://github.com/ros-planning/navigation/issues/672> from ros-planning/email_update_kinetic
    update maintainer email (kinetic)
  * Merge pull request #648 <https://github.com/ros-planning/navigation/issues/648> from aaronhoy/kinetic_add_ahoy
    Add myself as a maintainer.
  * Print SDL error on IMG_Load failure in server_map (#631 <https://github.com/ros-planning/navigation/issues/631>)
  * Contributors: Aaron Hoy, Aurélien Labate, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 16 Mar 2018 04:00:00 -0000

ros-kinetic-map-server (1.14.2-1xenial) xenial; urgency=high

  * remove offending library export (fixes #612 <https://github.com/ros-planning/navigation/issues/612>)
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 04:00:00 -0000

ros-kinetic-map-server (1.14.1-1xenial) xenial; urgency=high

  * refactor to not use tf version 1 (#561 <https://github.com/ros-planning/navigation/issues/561>)
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * Merge pull request #560 <https://github.com/ros-planning/navigation/issues/560> from wjwwood/map_server_fixup_cmake
  * update to support Python 2 and 3 (#559 <https://github.com/ros-planning/navigation/issues/559>)
  * remove duplicate and unreferenced file (#558 <https://github.com/ros-planning/navigation/issues/558>)
  * remove trailing whitespace from map_server package (#557 <https://github.com/ros-planning/navigation/issues/557>)
  * fix cmake use of yaml-cpp and sdl / sdl-image
  * Contributors: Martin Günther, Michael Ferguson, Vincent Rabaud, William Woodall

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 04:00:00 -0000

ros-kinetic-map-server (1.14.0-1xenial) xenial; urgency=high

  * Corrections to alpha channel detection and usage.
    Changing to actually detect whether the image has an alpha channel instead of
    inferring based on the number of channels.
    Also reverting to legacy behavior of trinary mode overriding alpha removal.
    This will cause the alpha channel to be averaged in with the others in trinary
    mode, which is the current behavior before this PR.
  * Removing some trailing whitespace.
  * Use enum to control map interpretation
  * Contributors: Aaron Hoy, David Lu

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 20 May 2016 04:00:00 -0000

ros-kinetic-map-server (1.13.1-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 04:00:00 -0000

ros-kinetic-map-server (1.13.0-1xenial) xenial; urgency=high

  * rename image_loader library, fixes #208 <https://github.com/ros-planning/navigation/issues/208>
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 17 Mar 2015 04:00:00 -0000

ros-kinetic-map-server (1.12.0-1xenial) xenial; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-kinetic-map-server (1.11.15-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 05:00:00 -0000

ros-kinetic-map-server (1.11.14-1xenial) xenial; urgency=high

  * prevent inf loop
  * Contributors: Jeremie Deray

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 05:00:00 -0000

ros-kinetic-map-server (1.11.13-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 04:00:00 -0000

ros-kinetic-map-server (1.11.12-1xenial) xenial; urgency=high

  * map_server: [style] alphabetize dependencies
  * map_server: remove vestigial export line
    the removed line does not do anything in catkin
  * Contributors: William Woodall

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 04:00:00 -0000

ros-kinetic-map-server (1.11.11-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 04:00:00 -0000

ros-kinetic-map-server (1.11.10-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jun 2014 04:00:00 -0000

ros-kinetic-map-server (1.11.9-1xenial) xenial; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 10 Jun 2014 04:00:00 -0000



=== debian/control ===
Source: ros-kinetic-map-server
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libbullet-dev, libsdl-image1.2-dev, libsdl1.2-dev, libyaml-cpp-dev, ros-kinetic-catkin (>= 0.5.68), ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-rostest, ros-kinetic-rosunit, ros-kinetic-tf2
Homepage: http://wiki.ros.org/map_server
Standards-Version: 3.9.2

Package: ros-kinetic-map-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbullet-dev, libsdl-image1.2-dev, libsdl1.2-dev, libyaml-cpp-dev, ros-kinetic-nav-msgs, ros-kinetic-roscpp, ros-kinetic-tf2
Description: map_server provides the map_server ROS Node, which offers map data as a ROS Service.
 It also provides the map_saver command-line utility, which allows dynamically generated maps to be saved to file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-map-server//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
